package com.slodon.b2b2c.vo.member;

import com.slodon.b2b2c.member.pojo.MemberDownloadCenter;
import com.slodon.b2b2c.member.pojo.MemberEnquiry;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author cyan
 */
@Data
public class MemberDownloadCenterVO implements Serializable {

    private static final long serialVersionUID = -8426680439937326616L;
    private Long id;

    private Long annexId;

    private Long goodsId;

    private Long defaultProductId;

    private String goodsName;

    private String annexName;

    private String annexPath;

    private Date createTime;

    private Integer status;

    public MemberDownloadCenterVO(MemberDownloadCenter memberDownloadCenter) {
        id = memberDownloadCenter.getId();
        annexId = memberDownloadCenter.getAnnexId();
        defaultProductId = memberDownloadCenter.getDefaultProductId();
        goodsId = memberDownloadCenter.getGoodsId();
        goodsName = memberDownloadCenter.getGoodsName();
        annexName = memberDownloadCenter.getAnnexName();
        annexPath = memberDownloadCenter.getAnnexPath();
        createTime = memberDownloadCenter.getCreateTime();
    }
}
